curl --request GET \
--url 'https://app.teable.ai/api/share/%7BshareId%7D/view/copy?filterByTql=%7Bfield%7D+%3D+%27Completed%27+AND+%7Bfield%7D+%3E+5&filter=SOME_STRING_VALUE&search=SOME_ARRAY_VALUE&orderBy=SOME_STRING_VALUE&groupBy=SOME_STRING_VALUE&collapsedGroupIds=SOME_STRING_VALUE&queryId=qry_xxxxxxxx&projection=SOME_ARRAY_VALUE&ranges=%5B%5B0%2C+0%5D%2C+%5B1%2C+1%5D%5D&type=columns'const url = 'https://app.teable.ai/api/share/%7BshareId%7D/view/copy?filterByTql=%7Bfield%7D+%3D+%27Completed%27+AND+%7Bfield%7D+%3E+5&filter=SOME_STRING_VALUE&search=SOME_ARRAY_VALUE&orderBy=SOME_STRING_VALUE&groupBy=SOME_STRING_VALUE&collapsedGroupIds=SOME_STRING_VALUE&queryId=qry_xxxxxxxx&projection=SOME_ARRAY_VALUE&ranges=%5B%5B0%2C+0%5D%2C+%5B1%2C+1%5D%5D&type=columns';
const options = {method: 'GET'};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'GET',
hostname: 'app.teable.ai',
port: null,
path: '/api/share/%7BshareId%7D/view/copy?filterByTql=%7Bfield%7D+%3D+%27Completed%27+AND+%7Bfield%7D+%3E+5&filter=SOME_STRING_VALUE&search=SOME_ARRAY_VALUE&orderBy=SOME_STRING_VALUE&groupBy=SOME_STRING_VALUE&collapsedGroupIds=SOME_STRING_VALUE&queryId=qry_xxxxxxxx&projection=SOME_ARRAY_VALUE&ranges=%5B%5B0%2C+0%5D%2C+%5B1%2C+1%5D%5D&type=columns',
headers: {}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
conn.request("GET", "/api/share/%7BshareId%7D/view/copy?filterByTql=%7Bfield%7D+%3D+%27Completed%27+AND+%7Bfield%7D+%3E+5&filter=SOME_STRING_VALUE&search=SOME_ARRAY_VALUE&orderBy=SOME_STRING_VALUE&groupBy=SOME_STRING_VALUE&collapsedGroupIds=SOME_STRING_VALUE&queryId=qry_xxxxxxxx&projection=SOME_ARRAY_VALUE&ranges=%5B%5B0%2C+0%5D%2C+%5B1%2C+1%5D%5D&type=columns")
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"content": "<string>",
"header": [
{
"id": "<string>",
"name": "Tags",
"type": "singleSelect",
"options": {
"expression": "countall({values})",
"timeZone": "<string>",
"formatting": "<unknown>",
"showAs": {
"type": "url"
}
},
"cellValueType": "string",
"dbFieldType": "TEXT",
"dbFieldName": "<string>",
"description": "this is a summary",
"meta": {
"persistedAsGeneratedColumn": false
},
"aiConfig": {
"modelKey": "<string>",
"type": "extraction",
"sourceFieldId": "<string>",
"isAutoFill": true,
"attachPrompt": "<string>"
},
"isLookup": true,
"isConditionalLookup": true,
"lookupOptions": {
"relationship": "oneOne",
"foreignTableId": "<string>",
"lookupFieldId": "<string>",
"fkHostTableName": "<string>",
"selfKeyName": "<string>",
"foreignKeyName": "<string>",
"linkFieldId": "<string>",
"isUnique": true,
"baseId": "<string>",
"filterByViewId": "<string>",
"visibleFieldIds": [
"<string>"
],
"isOneWay": true,
"symmetricFieldId": "<string>",
"filter": {}
},
"notNull": true,
"unique": true,
"isPrimary": true,
"isComputed": true,
"isPending": true,
"computeMeta": {
"status": "idle",
"estimatedComplexity": 123,
"estimatedDirtyRecords": 123,
"startedAt": "<string>",
"lastDurationMs": 123,
"lastError": {
"message": "<string>",
"code": "<string>",
"context": {}
}
},
"hasError": true,
"isMultipleCellValue": true,
"recordRead": true,
"recordCreate": true
}
]
}Get share viewcopy
Copy operations in Share view
Parámetros de ruta
Parámetros de consulta
"{field} = 'Completed' AND {field} > 5"
A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.
Search for records that match the specified field and value
1 elementAn array of sort objects that specifies how the records should be ordered.
An array of group objects that specifies how the records should be grouped.
An array of group ids that specifies which groups are collapsed
When provided, other query parameters will be merged with the saved ones.
"qry_xxxxxxxx"
If you want to get only some fields, pass in this parameter, otherwise all visible fields will be obtained
Selection coordinates encoded as JSON
"[[0, 0], [1, 1]]"
Types of non-contiguous selections
rows, columns "columns"
¿Esta página le ayudó?

